<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: NANO102/112 Peripheral Memory Map</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">NANO102/112 Peripheral Memory Map</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for NANO102/112 Peripheral Memory Map:</div>
<div class="dyncontent">
<div class="center"><img src="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.png" border="0" usemap="#ad5_2db2_2group______n__a__n__o1__x2______p__e__r__i__p__h__e__r__a__l______m__e__m______m__a__p" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="groups" name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html">NANO102/112 Peripheral Declaration</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga23a9099a5f8fc9c6e253c0eecb2be8db"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga23a9099a5f8fc9c6e253c0eecb2be8db">FLASH_BASE</a>&#160;&#160;&#160;((uint32_t)0x00000000)</td></tr>
<tr class="memdesc:ga23a9099a5f8fc9c6e253c0eecb2be8db"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flash base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga23a9099a5f8fc9c6e253c0eecb2be8db">More...</a><br /></td></tr>
<tr class="separator:ga23a9099a5f8fc9c6e253c0eecb2be8db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga05e8f3d2e5868754a7cd88614955aecc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga05e8f3d2e5868754a7cd88614955aecc">SRAM_BASE</a>&#160;&#160;&#160;((uint32_t)0x20000000)</td></tr>
<tr class="memdesc:ga05e8f3d2e5868754a7cd88614955aecc"><td class="mdescLeft">&#160;</td><td class="mdescRight">SRAM base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga05e8f3d2e5868754a7cd88614955aecc">More...</a><br /></td></tr>
<tr class="separator:ga05e8f3d2e5868754a7cd88614955aecc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga45666d911f39addd4c8c0a0ac3388cfb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a>&#160;&#160;&#160;((uint32_t)0x40000000)</td></tr>
<tr class="memdesc:ga45666d911f39addd4c8c0a0ac3388cfb"><td class="mdescLeft">&#160;</td><td class="mdescRight">APB1 base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">More...</a><br /></td></tr>
<tr class="separator:ga45666d911f39addd4c8c0a0ac3388cfb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga25b99d6065f1c8f751e78f43ade652cb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga25b99d6065f1c8f751e78f43ade652cb">APB2PERIPH_BASE</a>&#160;&#160;&#160;((uint32_t)0x40100000)</td></tr>
<tr class="memdesc:ga25b99d6065f1c8f751e78f43ade652cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">APB2 base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga25b99d6065f1c8f751e78f43ade652cb">More...</a><br /></td></tr>
<tr class="separator:ga25b99d6065f1c8f751e78f43ade652cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga92eb5d49730765d2abd0f5b09548f9f5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a>&#160;&#160;&#160;((uint32_t)0x50000000)</td></tr>
<tr class="memdesc:ga92eb5d49730765d2abd0f5b09548f9f5"><td class="mdescLeft">&#160;</td><td class="mdescRight">AHB base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">More...</a><br /></td></tr>
<tr class="separator:ga92eb5d49730765d2abd0f5b09548f9f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf99229879e6e3249a0ab9bcefcaf208b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaf99229879e6e3249a0ab9bcefcaf208b">WDT_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x04000)</td></tr>
<tr class="memdesc:gaf99229879e6e3249a0ab9bcefcaf208b"><td class="mdescLeft">&#160;</td><td class="mdescRight">WDT register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaf99229879e6e3249a0ab9bcefcaf208b">More...</a><br /></td></tr>
<tr class="separator:gaf99229879e6e3249a0ab9bcefcaf208b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2e03465382873f5ec4eb6842d3d7acad"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga2e03465382873f5ec4eb6842d3d7acad">WWDT_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x04100)</td></tr>
<tr class="memdesc:ga2e03465382873f5ec4eb6842d3d7acad"><td class="mdescLeft">&#160;</td><td class="mdescRight">WWDT register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga2e03465382873f5ec4eb6842d3d7acad">More...</a><br /></td></tr>
<tr class="separator:ga2e03465382873f5ec4eb6842d3d7acad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4265e665d56225412e57a61d87417022"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga4265e665d56225412e57a61d87417022">RTC_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x08000)</td></tr>
<tr class="memdesc:ga4265e665d56225412e57a61d87417022"><td class="mdescLeft">&#160;</td><td class="mdescRight">RTC register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga4265e665d56225412e57a61d87417022">More...</a><br /></td></tr>
<tr class="separator:ga4265e665d56225412e57a61d87417022"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7a5c55fc79dee34c91502b0503404375"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7a5c55fc79dee34c91502b0503404375">TIMER0_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x10000)</td></tr>
<tr class="memdesc:ga7a5c55fc79dee34c91502b0503404375"><td class="mdescLeft">&#160;</td><td class="mdescRight">TIMER0 register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7a5c55fc79dee34c91502b0503404375">More...</a><br /></td></tr>
<tr class="separator:ga7a5c55fc79dee34c91502b0503404375"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7a4bd01d91a70285f0bec70f4e9e88bb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7a4bd01d91a70285f0bec70f4e9e88bb">TIMER1_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x10100)</td></tr>
<tr class="memdesc:ga7a4bd01d91a70285f0bec70f4e9e88bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">TIMER1 register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7a4bd01d91a70285f0bec70f4e9e88bb">More...</a><br /></td></tr>
<tr class="separator:ga7a4bd01d91a70285f0bec70f4e9e88bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabf0928baf4e4350633ca9050b65d1939"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gabf0928baf4e4350633ca9050b65d1939">I2C0_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x20000)</td></tr>
<tr class="memdesc:gabf0928baf4e4350633ca9050b65d1939"><td class="mdescLeft">&#160;</td><td class="mdescRight">I2C0 register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gabf0928baf4e4350633ca9050b65d1939">More...</a><br /></td></tr>
<tr class="separator:gabf0928baf4e4350633ca9050b65d1939"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadeaa49ab944c7dcae2a868b0450232c8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gadeaa49ab944c7dcae2a868b0450232c8">SPI0_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x30000)</td></tr>
<tr class="memdesc:gadeaa49ab944c7dcae2a868b0450232c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">SPI0 register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gadeaa49ab944c7dcae2a868b0450232c8">More...</a><br /></td></tr>
<tr class="separator:gadeaa49ab944c7dcae2a868b0450232c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafd4cf3319d145ce948188816693d06d6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gafd4cf3319d145ce948188816693d06d6">PWM0_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x40000)</td></tr>
<tr class="memdesc:gafd4cf3319d145ce948188816693d06d6"><td class="mdescLeft">&#160;</td><td class="mdescRight">PWM0 register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gafd4cf3319d145ce948188816693d06d6">More...</a><br /></td></tr>
<tr class="separator:gafd4cf3319d145ce948188816693d06d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7a07348b4332ff6b88abf6092347deba"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7a07348b4332ff6b88abf6092347deba">UART0_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x50000)</td></tr>
<tr class="memdesc:ga7a07348b4332ff6b88abf6092347deba"><td class="mdescLeft">&#160;</td><td class="mdescRight">UART0 register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7a07348b4332ff6b88abf6092347deba">More...</a><br /></td></tr>
<tr class="separator:ga7a07348b4332ff6b88abf6092347deba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga017749aad23300240ef5ac4c3d5ca750"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga017749aad23300240ef5ac4c3d5ca750">LCD_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0xB0000)</td></tr>
<tr class="memdesc:ga017749aad23300240ef5ac4c3d5ca750"><td class="mdescLeft">&#160;</td><td class="mdescRight">LCD register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga017749aad23300240ef5ac4c3d5ca750">More...</a><br /></td></tr>
<tr class="separator:ga017749aad23300240ef5ac4c3d5ca750"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad06cb9e5985bd216a376f26f22303cd6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gad06cb9e5985bd216a376f26f22303cd6">ADC_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0xE0000)</td></tr>
<tr class="memdesc:gad06cb9e5985bd216a376f26f22303cd6"><td class="mdescLeft">&#160;</td><td class="mdescRight">ADC register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gad06cb9e5985bd216a376f26f22303cd6">More...</a><br /></td></tr>
<tr class="separator:gad06cb9e5985bd216a376f26f22303cd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga933376d74e94dae8f42e17c09bd91faa"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga933376d74e94dae8f42e17c09bd91faa">TIMER2_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga25b99d6065f1c8f751e78f43ade652cb">APB2PERIPH_BASE</a> + 0x10000)</td></tr>
<tr class="memdesc:ga933376d74e94dae8f42e17c09bd91faa"><td class="mdescLeft">&#160;</td><td class="mdescRight">TIMER2 register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga933376d74e94dae8f42e17c09bd91faa">More...</a><br /></td></tr>
<tr class="separator:ga933376d74e94dae8f42e17c09bd91faa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2bcbc0fe8296511a1a9d12caff242819"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga2bcbc0fe8296511a1a9d12caff242819">TIMER3_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga25b99d6065f1c8f751e78f43ade652cb">APB2PERIPH_BASE</a> + 0x10100)</td></tr>
<tr class="memdesc:ga2bcbc0fe8296511a1a9d12caff242819"><td class="mdescLeft">&#160;</td><td class="mdescRight">TIMER3 register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga2bcbc0fe8296511a1a9d12caff242819">More...</a><br /></td></tr>
<tr class="separator:ga2bcbc0fe8296511a1a9d12caff242819"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacd72dbffb1738ca87c838545c4eb85a3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gacd72dbffb1738ca87c838545c4eb85a3">I2C1_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga25b99d6065f1c8f751e78f43ade652cb">APB2PERIPH_BASE</a> + 0x20000)</td></tr>
<tr class="memdesc:gacd72dbffb1738ca87c838545c4eb85a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">I2C1 register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gacd72dbffb1738ca87c838545c4eb85a3">More...</a><br /></td></tr>
<tr class="separator:gacd72dbffb1738ca87c838545c4eb85a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga50cd8b47929f18b05efbd0f41253bf8d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga50cd8b47929f18b05efbd0f41253bf8d">SPI1_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga25b99d6065f1c8f751e78f43ade652cb">APB2PERIPH_BASE</a> + 0x30000)</td></tr>
<tr class="memdesc:ga50cd8b47929f18b05efbd0f41253bf8d"><td class="mdescLeft">&#160;</td><td class="mdescRight">SPI1 register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga50cd8b47929f18b05efbd0f41253bf8d">More...</a><br /></td></tr>
<tr class="separator:ga50cd8b47929f18b05efbd0f41253bf8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga383bf0c4670c3a7fa72df80f66331a46"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga383bf0c4670c3a7fa72df80f66331a46">UART1_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga25b99d6065f1c8f751e78f43ade652cb">APB2PERIPH_BASE</a> + 0x50000)</td></tr>
<tr class="memdesc:ga383bf0c4670c3a7fa72df80f66331a46"><td class="mdescLeft">&#160;</td><td class="mdescRight">UART1 register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga383bf0c4670c3a7fa72df80f66331a46">More...</a><br /></td></tr>
<tr class="separator:ga383bf0c4670c3a7fa72df80f66331a46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac033c7daa22ae646408a635005a3cdd7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gac033c7daa22ae646408a635005a3cdd7">SC0_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga25b99d6065f1c8f751e78f43ade652cb">APB2PERIPH_BASE</a> + 0x90000)</td></tr>
<tr class="memdesc:gac033c7daa22ae646408a635005a3cdd7"><td class="mdescLeft">&#160;</td><td class="mdescRight">SC0 register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gac033c7daa22ae646408a635005a3cdd7">More...</a><br /></td></tr>
<tr class="separator:gac033c7daa22ae646408a635005a3cdd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9b1b1711d2d7dfaa0bb4d690477da61d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga9b1b1711d2d7dfaa0bb4d690477da61d">SC1_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga25b99d6065f1c8f751e78f43ade652cb">APB2PERIPH_BASE</a> + 0xB0000)</td></tr>
<tr class="memdesc:ga9b1b1711d2d7dfaa0bb4d690477da61d"><td class="mdescLeft">&#160;</td><td class="mdescRight">SC1 register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga9b1b1711d2d7dfaa0bb4d690477da61d">More...</a><br /></td></tr>
<tr class="separator:ga9b1b1711d2d7dfaa0bb4d690477da61d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1c32d772e9e72f69156356e526790914"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga1c32d772e9e72f69156356e526790914">ACMP_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga25b99d6065f1c8f751e78f43ade652cb">APB2PERIPH_BASE</a> + 0xD0000)</td></tr>
<tr class="memdesc:ga1c32d772e9e72f69156356e526790914"><td class="mdescLeft">&#160;</td><td class="mdescRight">ACMP register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga1c32d772e9e72f69156356e526790914">More...</a><br /></td></tr>
<tr class="separator:ga1c32d772e9e72f69156356e526790914"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0da045a8f147a1dffad9df645d6f55db"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga0da045a8f147a1dffad9df645d6f55db">SYS_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x00000)</td></tr>
<tr class="memdesc:ga0da045a8f147a1dffad9df645d6f55db"><td class="mdescLeft">&#160;</td><td class="mdescRight">SYS register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga0da045a8f147a1dffad9df645d6f55db">More...</a><br /></td></tr>
<tr class="separator:ga0da045a8f147a1dffad9df645d6f55db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0385aaf8679955f827be0a0abda8566d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga0385aaf8679955f827be0a0abda8566d">CLK_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x00200)</td></tr>
<tr class="memdesc:ga0385aaf8679955f827be0a0abda8566d"><td class="mdescLeft">&#160;</td><td class="mdescRight">CLK register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga0385aaf8679955f827be0a0abda8566d">More...</a><br /></td></tr>
<tr class="separator:ga0385aaf8679955f827be0a0abda8566d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga211eb50e6975453d886a0544919f4e30"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga211eb50e6975453d886a0544919f4e30">INTID_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x00300)</td></tr>
<tr class="memdesc:ga211eb50e6975453d886a0544919f4e30"><td class="mdescLeft">&#160;</td><td class="mdescRight">INT register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga211eb50e6975453d886a0544919f4e30">More...</a><br /></td></tr>
<tr class="separator:ga211eb50e6975453d886a0544919f4e30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad7723846cc5db8e43a44d78cf21f6efa"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gad7723846cc5db8e43a44d78cf21f6efa">GPIOA_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04000)</td></tr>
<tr class="memdesc:gad7723846cc5db8e43a44d78cf21f6efa"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPIO port A register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gad7723846cc5db8e43a44d78cf21f6efa">More...</a><br /></td></tr>
<tr class="separator:gad7723846cc5db8e43a44d78cf21f6efa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac944a89eb789000ece920c0f89cb6a68"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gac944a89eb789000ece920c0f89cb6a68">GPIOB_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04040)</td></tr>
<tr class="memdesc:gac944a89eb789000ece920c0f89cb6a68"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPIO port B register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gac944a89eb789000ece920c0f89cb6a68">More...</a><br /></td></tr>
<tr class="separator:gac944a89eb789000ece920c0f89cb6a68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga26f267dc35338eef219544c51f1e6b3f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga26f267dc35338eef219544c51f1e6b3f">GPIOC_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04080)</td></tr>
<tr class="memdesc:ga26f267dc35338eef219544c51f1e6b3f"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPIO port C register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga26f267dc35338eef219544c51f1e6b3f">More...</a><br /></td></tr>
<tr class="separator:ga26f267dc35338eef219544c51f1e6b3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1a93ab27129f04064089616910c296ec"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga1a93ab27129f04064089616910c296ec">GPIOD_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x040C0)</td></tr>
<tr class="memdesc:ga1a93ab27129f04064089616910c296ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPIO port D register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga1a93ab27129f04064089616910c296ec">More...</a><br /></td></tr>
<tr class="separator:ga1a93ab27129f04064089616910c296ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab487b1983d936c4fee3e9e88b95aad9d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gab487b1983d936c4fee3e9e88b95aad9d">GPIOE_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04100)</td></tr>
<tr class="memdesc:gab487b1983d936c4fee3e9e88b95aad9d"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPIO port E register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gab487b1983d936c4fee3e9e88b95aad9d">More...</a><br /></td></tr>
<tr class="separator:gab487b1983d936c4fee3e9e88b95aad9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7f9a3f4223a1a784af464a114978d26e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7f9a3f4223a1a784af464a114978d26e">GPIOF_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04140)</td></tr>
<tr class="memdesc:ga7f9a3f4223a1a784af464a114978d26e"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPIO port F register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7f9a3f4223a1a784af464a114978d26e">More...</a><br /></td></tr>
<tr class="separator:ga7f9a3f4223a1a784af464a114978d26e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3d17ff727b536d3d94e5affbc550d495"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga3d17ff727b536d3d94e5affbc550d495">GPIODBNCE_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04180)</td></tr>
<tr class="memdesc:ga3d17ff727b536d3d94e5affbc550d495"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPIO debounce register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga3d17ff727b536d3d94e5affbc550d495">More...</a><br /></td></tr>
<tr class="separator:ga3d17ff727b536d3d94e5affbc550d495"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga85ced68629e327e7944cd10e2e5c88a6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga85ced68629e327e7944cd10e2e5c88a6">GPIO_PIN_DATA_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04200)</td></tr>
<tr class="memdesc:ga85ced68629e327e7944cd10e2e5c88a6"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPIO bit access register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga85ced68629e327e7944cd10e2e5c88a6">More...</a><br /></td></tr>
<tr class="separator:ga85ced68629e327e7944cd10e2e5c88a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf10f55841edcb6f4d7a4dfc3fd36b71f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaf10f55841edcb6f4d7a4dfc3fd36b71f">PDMA0_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x08000)</td></tr>
<tr class="memdesc:gaf10f55841edcb6f4d7a4dfc3fd36b71f"><td class="mdescLeft">&#160;</td><td class="mdescRight">PDMA0 register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaf10f55841edcb6f4d7a4dfc3fd36b71f">More...</a><br /></td></tr>
<tr class="separator:gaf10f55841edcb6f4d7a4dfc3fd36b71f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabc9fa08be52865061ba5e57b21d4e745"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gabc9fa08be52865061ba5e57b21d4e745">PDMA1_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x08100)</td></tr>
<tr class="memdesc:gabc9fa08be52865061ba5e57b21d4e745"><td class="mdescLeft">&#160;</td><td class="mdescRight">PDMA1 register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gabc9fa08be52865061ba5e57b21d4e745">More...</a><br /></td></tr>
<tr class="separator:gabc9fa08be52865061ba5e57b21d4e745"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga04e7fd6788720ca31fe2ab561ad7e521"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga04e7fd6788720ca31fe2ab561ad7e521">PDMA2_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x08200)</td></tr>
<tr class="memdesc:ga04e7fd6788720ca31fe2ab561ad7e521"><td class="mdescLeft">&#160;</td><td class="mdescRight">PDMA2 register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga04e7fd6788720ca31fe2ab561ad7e521">More...</a><br /></td></tr>
<tr class="separator:ga04e7fd6788720ca31fe2ab561ad7e521"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae1a56dc93403f11a289bc5cccfc89394"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gae1a56dc93403f11a289bc5cccfc89394">PDMA3_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x08300)</td></tr>
<tr class="memdesc:gae1a56dc93403f11a289bc5cccfc89394"><td class="mdescLeft">&#160;</td><td class="mdescRight">PDMA3 register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gae1a56dc93403f11a289bc5cccfc89394">More...</a><br /></td></tr>
<tr class="separator:gae1a56dc93403f11a289bc5cccfc89394"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga640b34d6d227e2ae1f467738e45e2573"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga640b34d6d227e2ae1f467738e45e2573">PDMA4_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x08400)</td></tr>
<tr class="memdesc:ga640b34d6d227e2ae1f467738e45e2573"><td class="mdescLeft">&#160;</td><td class="mdescRight">PDMA4 register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga640b34d6d227e2ae1f467738e45e2573">More...</a><br /></td></tr>
<tr class="separator:ga640b34d6d227e2ae1f467738e45e2573"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaca3baf28ee34d10ea3cf8cd41cb03020"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaca3baf28ee34d10ea3cf8cd41cb03020">PDMACRC_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x08E00)</td></tr>
<tr class="memdesc:gaca3baf28ee34d10ea3cf8cd41cb03020"><td class="mdescLeft">&#160;</td><td class="mdescRight">PDMA global control register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaca3baf28ee34d10ea3cf8cd41cb03020">More...</a><br /></td></tr>
<tr class="separator:gaca3baf28ee34d10ea3cf8cd41cb03020"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa541818ffba2b149994ff51f62b98d29"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaa541818ffba2b149994ff51f62b98d29">PDMAGCR_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x08F00)</td></tr>
<tr class="memdesc:gaa541818ffba2b149994ff51f62b98d29"><td class="mdescLeft">&#160;</td><td class="mdescRight">PDMA CRC register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaa541818ffba2b149994ff51f62b98d29">More...</a><br /></td></tr>
<tr class="separator:gaa541818ffba2b149994ff51f62b98d29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga68a39e11ba4a19785d20a98954c7fc9e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga68a39e11ba4a19785d20a98954c7fc9e">FMC_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x0C000)</td></tr>
<tr class="memdesc:ga68a39e11ba4a19785d20a98954c7fc9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">FMC register base address.  <a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga68a39e11ba4a19785d20a98954c7fc9e">More...</a><br /></td></tr>
<tr class="separator:ga68a39e11ba4a19785d20a98954c7fc9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p >Memory Mapped Structure for NANO102/112 Series Peripheral </p>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ga1c32d772e9e72f69156356e526790914" name="ga1c32d772e9e72f69156356e526790914"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1c32d772e9e72f69156356e526790914">&#9670;&nbsp;</a></span>ACMP_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACMP_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga25b99d6065f1c8f751e78f43ade652cb">APB2PERIPH_BASE</a> + 0xD0000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>ACMP register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10601">10601</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gad06cb9e5985bd216a376f26f22303cd6" name="gad06cb9e5985bd216a376f26f22303cd6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad06cb9e5985bd216a376f26f22303cd6">&#9670;&nbsp;</a></span>ADC_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ADC_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0xE0000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>ADC register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10592">10592</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga92eb5d49730765d2abd0f5b09548f9f5" name="ga92eb5d49730765d2abd0f5b09548f9f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga92eb5d49730765d2abd0f5b09548f9f5">&#9670;&nbsp;</a></span>AHBPERIPH_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define AHBPERIPH_BASE&#160;&#160;&#160;((uint32_t)0x50000000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>AHB base address. </p>
<p >Peripheral memory map </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10580">10580</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga45666d911f39addd4c8c0a0ac3388cfb" name="ga45666d911f39addd4c8c0a0ac3388cfb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga45666d911f39addd4c8c0a0ac3388cfb">&#9670;&nbsp;</a></span>APB1PERIPH_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define APB1PERIPH_BASE&#160;&#160;&#160;((uint32_t)0x40000000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>APB1 base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10576">10576</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga25b99d6065f1c8f751e78f43ade652cb" name="ga25b99d6065f1c8f751e78f43ade652cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga25b99d6065f1c8f751e78f43ade652cb">&#9670;&nbsp;</a></span>APB2PERIPH_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define APB2PERIPH_BASE&#160;&#160;&#160;((uint32_t)0x40100000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>APB2 base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10577">10577</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga0385aaf8679955f827be0a0abda8566d" name="ga0385aaf8679955f827be0a0abda8566d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0385aaf8679955f827be0a0abda8566d">&#9670;&nbsp;</a></span>CLK_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CLK_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x00200)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>CLK register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10604">10604</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga23a9099a5f8fc9c6e253c0eecb2be8db" name="ga23a9099a5f8fc9c6e253c0eecb2be8db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga23a9099a5f8fc9c6e253c0eecb2be8db">&#9670;&nbsp;</a></span>FLASH_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FLASH_BASE&#160;&#160;&#160;((uint32_t)0x00000000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Flash base address. </p>
<p >&lt;Peripheral and SRAM base address </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10574">10574</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga68a39e11ba4a19785d20a98954c7fc9e" name="ga68a39e11ba4a19785d20a98954c7fc9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga68a39e11ba4a19785d20a98954c7fc9e">&#9670;&nbsp;</a></span>FMC_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x0C000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>FMC register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10621">10621</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga85ced68629e327e7944cd10e2e5c88a6" name="ga85ced68629e327e7944cd10e2e5c88a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga85ced68629e327e7944cd10e2e5c88a6">&#9670;&nbsp;</a></span>GPIO_PIN_DATA_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_PIN_DATA_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04200)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GPIO bit access register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10613">10613</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gad7723846cc5db8e43a44d78cf21f6efa" name="gad7723846cc5db8e43a44d78cf21f6efa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad7723846cc5db8e43a44d78cf21f6efa">&#9670;&nbsp;</a></span>GPIOA_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIOA_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GPIO port A register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10606">10606</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gac944a89eb789000ece920c0f89cb6a68" name="gac944a89eb789000ece920c0f89cb6a68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac944a89eb789000ece920c0f89cb6a68">&#9670;&nbsp;</a></span>GPIOB_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIOB_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04040)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GPIO port B register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10607">10607</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga26f267dc35338eef219544c51f1e6b3f" name="ga26f267dc35338eef219544c51f1e6b3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga26f267dc35338eef219544c51f1e6b3f">&#9670;&nbsp;</a></span>GPIOC_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIOC_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04080)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GPIO port C register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10608">10608</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga1a93ab27129f04064089616910c296ec" name="ga1a93ab27129f04064089616910c296ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1a93ab27129f04064089616910c296ec">&#9670;&nbsp;</a></span>GPIOD_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIOD_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x040C0)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GPIO port D register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10609">10609</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga3d17ff727b536d3d94e5affbc550d495" name="ga3d17ff727b536d3d94e5affbc550d495"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga3d17ff727b536d3d94e5affbc550d495">&#9670;&nbsp;</a></span>GPIODBNCE_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIODBNCE_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04180)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GPIO debounce register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10612">10612</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gab487b1983d936c4fee3e9e88b95aad9d" name="gab487b1983d936c4fee3e9e88b95aad9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab487b1983d936c4fee3e9e88b95aad9d">&#9670;&nbsp;</a></span>GPIOE_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIOE_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04100)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GPIO port E register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10610">10610</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga7f9a3f4223a1a784af464a114978d26e" name="ga7f9a3f4223a1a784af464a114978d26e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7f9a3f4223a1a784af464a114978d26e">&#9670;&nbsp;</a></span>GPIOF_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIOF_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04140)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GPIO port F register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10611">10611</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gabf0928baf4e4350633ca9050b65d1939" name="gabf0928baf4e4350633ca9050b65d1939"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gabf0928baf4e4350633ca9050b65d1939">&#9670;&nbsp;</a></span>I2C0_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C0_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x20000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>I2C0 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10587">10587</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gacd72dbffb1738ca87c838545c4eb85a3" name="gacd72dbffb1738ca87c838545c4eb85a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gacd72dbffb1738ca87c838545c4eb85a3">&#9670;&nbsp;</a></span>I2C1_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C1_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga25b99d6065f1c8f751e78f43ade652cb">APB2PERIPH_BASE</a> + 0x20000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>I2C1 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10596">10596</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga211eb50e6975453d886a0544919f4e30" name="ga211eb50e6975453d886a0544919f4e30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga211eb50e6975453d886a0544919f4e30">&#9670;&nbsp;</a></span>INTID_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define INTID_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x00300)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>INT register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10605">10605</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga017749aad23300240ef5ac4c3d5ca750" name="ga017749aad23300240ef5ac4c3d5ca750"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga017749aad23300240ef5ac4c3d5ca750">&#9670;&nbsp;</a></span>LCD_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LCD_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0xB0000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>LCD register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10591">10591</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gaf10f55841edcb6f4d7a4dfc3fd36b71f" name="gaf10f55841edcb6f4d7a4dfc3fd36b71f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf10f55841edcb6f4d7a4dfc3fd36b71f">&#9670;&nbsp;</a></span>PDMA0_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA0_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x08000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PDMA0 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10614">10614</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gabc9fa08be52865061ba5e57b21d4e745" name="gabc9fa08be52865061ba5e57b21d4e745"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gabc9fa08be52865061ba5e57b21d4e745">&#9670;&nbsp;</a></span>PDMA1_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA1_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x08100)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PDMA1 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10615">10615</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga04e7fd6788720ca31fe2ab561ad7e521" name="ga04e7fd6788720ca31fe2ab561ad7e521"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga04e7fd6788720ca31fe2ab561ad7e521">&#9670;&nbsp;</a></span>PDMA2_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA2_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x08200)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PDMA2 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10616">10616</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gae1a56dc93403f11a289bc5cccfc89394" name="gae1a56dc93403f11a289bc5cccfc89394"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae1a56dc93403f11a289bc5cccfc89394">&#9670;&nbsp;</a></span>PDMA3_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA3_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x08300)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PDMA3 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10617">10617</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga640b34d6d227e2ae1f467738e45e2573" name="ga640b34d6d227e2ae1f467738e45e2573"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga640b34d6d227e2ae1f467738e45e2573">&#9670;&nbsp;</a></span>PDMA4_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMA4_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x08400)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PDMA4 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10618">10618</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gaca3baf28ee34d10ea3cf8cd41cb03020" name="gaca3baf28ee34d10ea3cf8cd41cb03020"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaca3baf28ee34d10ea3cf8cd41cb03020">&#9670;&nbsp;</a></span>PDMACRC_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMACRC_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x08E00)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PDMA global control register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10619">10619</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gaa541818ffba2b149994ff51f62b98d29" name="gaa541818ffba2b149994ff51f62b98d29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa541818ffba2b149994ff51f62b98d29">&#9670;&nbsp;</a></span>PDMAGCR_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PDMAGCR_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x08F00)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PDMA CRC register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10620">10620</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gafd4cf3319d145ce948188816693d06d6" name="gafd4cf3319d145ce948188816693d06d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gafd4cf3319d145ce948188816693d06d6">&#9670;&nbsp;</a></span>PWM0_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM0_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x40000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PWM0 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10589">10589</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga4265e665d56225412e57a61d87417022" name="ga4265e665d56225412e57a61d87417022"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4265e665d56225412e57a61d87417022">&#9670;&nbsp;</a></span>RTC_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x08000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>RTC register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10584">10584</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gac033c7daa22ae646408a635005a3cdd7" name="gac033c7daa22ae646408a635005a3cdd7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac033c7daa22ae646408a635005a3cdd7">&#9670;&nbsp;</a></span>SC0_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC0_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga25b99d6065f1c8f751e78f43ade652cb">APB2PERIPH_BASE</a> + 0x90000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>SC0 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10599">10599</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga9b1b1711d2d7dfaa0bb4d690477da61d" name="ga9b1b1711d2d7dfaa0bb4d690477da61d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9b1b1711d2d7dfaa0bb4d690477da61d">&#9670;&nbsp;</a></span>SC1_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC1_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga25b99d6065f1c8f751e78f43ade652cb">APB2PERIPH_BASE</a> + 0xB0000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>SC1 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10600">10600</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gadeaa49ab944c7dcae2a868b0450232c8" name="gadeaa49ab944c7dcae2a868b0450232c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gadeaa49ab944c7dcae2a868b0450232c8">&#9670;&nbsp;</a></span>SPI0_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI0_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x30000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>SPI0 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10588">10588</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga50cd8b47929f18b05efbd0f41253bf8d" name="ga50cd8b47929f18b05efbd0f41253bf8d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga50cd8b47929f18b05efbd0f41253bf8d">&#9670;&nbsp;</a></span>SPI1_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI1_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga25b99d6065f1c8f751e78f43ade652cb">APB2PERIPH_BASE</a> + 0x30000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>SPI1 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10597">10597</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga05e8f3d2e5868754a7cd88614955aecc" name="ga05e8f3d2e5868754a7cd88614955aecc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga05e8f3d2e5868754a7cd88614955aecc">&#9670;&nbsp;</a></span>SRAM_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SRAM_BASE&#160;&#160;&#160;((uint32_t)0x20000000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>SRAM base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10575">10575</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga0da045a8f147a1dffad9df645d6f55db" name="ga0da045a8f147a1dffad9df645d6f55db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0da045a8f147a1dffad9df645d6f55db">&#9670;&nbsp;</a></span>SYS_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYS_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x00000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>SYS register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10603">10603</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga7a5c55fc79dee34c91502b0503404375" name="ga7a5c55fc79dee34c91502b0503404375"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7a5c55fc79dee34c91502b0503404375">&#9670;&nbsp;</a></span>TIMER0_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER0_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x10000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>TIMER0 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10585">10585</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga7a4bd01d91a70285f0bec70f4e9e88bb" name="ga7a4bd01d91a70285f0bec70f4e9e88bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7a4bd01d91a70285f0bec70f4e9e88bb">&#9670;&nbsp;</a></span>TIMER1_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER1_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x10100)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>TIMER1 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10586">10586</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga933376d74e94dae8f42e17c09bd91faa" name="ga933376d74e94dae8f42e17c09bd91faa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga933376d74e94dae8f42e17c09bd91faa">&#9670;&nbsp;</a></span>TIMER2_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER2_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga25b99d6065f1c8f751e78f43ade652cb">APB2PERIPH_BASE</a> + 0x10000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>TIMER2 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10594">10594</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga2bcbc0fe8296511a1a9d12caff242819" name="ga2bcbc0fe8296511a1a9d12caff242819"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2bcbc0fe8296511a1a9d12caff242819">&#9670;&nbsp;</a></span>TIMER3_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER3_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga25b99d6065f1c8f751e78f43ade652cb">APB2PERIPH_BASE</a> + 0x10100)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>TIMER3 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10595">10595</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga7a07348b4332ff6b88abf6092347deba" name="ga7a07348b4332ff6b88abf6092347deba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7a07348b4332ff6b88abf6092347deba">&#9670;&nbsp;</a></span>UART0_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART0_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x50000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>UART0 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10590">10590</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga383bf0c4670c3a7fa72df80f66331a46" name="ga383bf0c4670c3a7fa72df80f66331a46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga383bf0c4670c3a7fa72df80f66331a46">&#9670;&nbsp;</a></span>UART1_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART1_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga25b99d6065f1c8f751e78f43ade652cb">APB2PERIPH_BASE</a> + 0x50000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>UART1 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10598">10598</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="gaf99229879e6e3249a0ab9bcefcaf208b" name="gaf99229879e6e3249a0ab9bcefcaf208b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf99229879e6e3249a0ab9bcefcaf208b">&#9670;&nbsp;</a></span>WDT_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WDT_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x04000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>WDT register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10582">10582</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ga2e03465382873f5ec4eb6842d3d7acad" name="ga2e03465382873f5ec4eb6842d3d7acad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2e03465382873f5ec4eb6842d3d7acad">&#9670;&nbsp;</a></span>WWDT_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WWDT_BASE&#160;&#160;&#160;(<a class="el" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x04100)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>WWDT register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l10583">10583</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:32 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
